Amplify APIReference
Create a new Campaign
POST
/campaigns| Property | Type | Semantic | Example |
|---|---|---|---|
| name | String | The name of this Campaign. Must be unique per each marketer. Maximum length is 100 characters. | "My Campaign" |
| budgetId | String | The id of the budget to associate the new campaign with. | "00f4b02153ee75f3c9dc4fc128ab041962" |
| enabled | Boolean | Is the campaign enabled | true |
| cpc | Money | Cost per click. See Currencies for valid cpc values. | 0.58 |
| targeting | Targeting Object | See Targeting object | |
| feeds | String array | An array of strings where each element contains the URL of the rss feed. optional | |
| suffixTrackingCode | String | Tracking code parameters that will be appended to the Campaign's PromotedLinks. optional | "utm_source=outb&utm_medium=cpc&utm_campaign=Celebrity-2-1" |
| blockedSites | Campaign Blocked Sites | A property containing lists of blocked publishers and / or sections. The publishers and sections ids can be retrieved from the Publisher Performance Reporting section | { "blockedSites": { "blockedPublishers": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "expiration": "2026-01-15"} ],"blockedSections": [ {"id": "01f4b02153ee75f3f9dc4fce28ab041g65", "expiration": "2026-01-15"}} ] } } |
| startHour | Time (12 hour format: 'HH:MM AM/PM') | Time of the day when this Campaign should start. For this feature to work, the campaign budget type must be "DAILY" or "AUTOMATIC" it cannot be "Spend_ASAP" | 10:30 AM |
| trackingPixels | Array of Tracking Pixels | Deprecated please use pixels.trackingPixels instead (will be removed in 1.7.2021). Array of tracking pixels attached to each promoted link under this campaign | |
| bids | Bids | CPC adjustments | |
| campaignOptimization | CampaignOptimization | Conversion optimization settings | |
| onAirType | Campaign On Air Type | Represents the scheduling type for the campaign to be on air | "Scheduled" |
| objective | Campaign Objective | The campaign objective | |
| creativeFormat | Campaign creative format | The campaign creative format. Default is Standard. optional | |
| pixels | Pixels | The campaign impression and tracking pixels. | |
| dynamicRetargeting | Boolean | true if this is a dynamic retargeting campaign. This can be set to true only if the marketer has uploaded their products feed to Outbrain |
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Query Parameters
extraFields?string
the additional campaign fields you want to include in the response
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/campaigns?extraFields=CustomAudience%2CLocations%2CInterestsTargeting%2CBidBySections%2CBlockedSites%2CPlatformTargeting%2CCampaignOptimization%2CScheduling%2CIABCategories%2CCampaignPixels" \ -H "Content-Type: application/json" \ -d '{ "name": "new campaign", "cpc": 0.05, "enabled": true, "budgetId": "004177467f7724bacae68b46524e3c6c3b", "targeting": { "platform": [ "DESKTOP", "MOBILE" ], "locations": [ "a7fd4b0f63f8437cf04690b481e5eab1" ], "operatingSystems": [ "MacOs", "Windows" ], "browsers": [ "Chrome" ] }, "suffixTrackingCode": "utm_source=outb&utm_medium=cpc&utm_campaign=abc%20def", "feeds": [ "http://myfeedurl.com/feed/first", "http://myfeedurl.com/feed/another" ], "bids": { "bySection": [ { "sectionId": "009e769d5444de4570582abe8ff7689883", "cpcAdjustment": 0.1 }, { "sectionId": "00f3022e3638c88cb5e46768e45c471441", "cpcAdjustment": -0.1 } ] }, "onAirType": "Scheduled", "scheduling": { "cpc": [ { "startDay": "Sunday", "endDay": "Monday", "startHour": 3, "endHour": 1, "cpcAdjustment": 0.1 } ], "onAir": [ { "startDay": "Sunday", "endDay": "Sunday", "startHour": 8, "endHour": 12 } ] }, "objective": "Awareness", "creativeFormat": "Standard", "pixels": { "trackingPixels": [ "http://outbrain.com/1", "http://outbrain.com/2" ], "impressionPixels": [ "http://outbrain.com/3", "http://outbrain.com/4" ] } }'{ "id": "00f346fb73eefe9cdc93477727c6ee501d", "name": "new campaign", "enabled": true, "creationTime": "2014-12-22 07:46:22", "lastModified": "2014-12-22 07:46:22", "cpc": 0.05, "autoArchived": false, "minimumCpc": 0.02, "currency": "GBP", "targeting": { "platform": [ "DESKTOP", "MOBILE" ], "locations": [ { "name": "Prince Edward Island", "canonicalName": "Prince Edward Island, Canada", "id": "a7fd4b0f63f8437cf04690b481e5eab1", "geoType": "Region", "parent": { "geoType": "Country", "canonicalName": "Canada", "id": "aa4ab4c893b9fb5618476cb27f264ef8", "name": "Canada" } } ], "operatingSystems": [ "MacOs", "Windows" ], "browsers": [ "Chrome" ] }, "marketerId": "00e28bea9eba98e0c8a14958e2196793af", "feeds": [ "http://myfeedurl.com/feed/first", "http://myfeedurl.com/feed/another" ], "contentType": "ARTICLES", "budget": { "id": "004177467f7724bacae68b46524e3c6c3b", "name": "new campaign", "shared": false, "amount": 100, "currency": "GBP", "amountRemaining": 100, "amountSpent": 0, "creationTime": "2014-12-22 07:46:22", "lastModified": "2014-12-22 07:46:22", "startDate": "2014-06-26", "endDate": "2016-07-26", "runForever": false, "type": "CAMPAIGN", "pacing": "SPEND_ASAP" }, "suffixTrackingCode": "utm_source=outb&utm_medium=cpc&utm_campaign=abc", "liveStatus": { "amountSpent": 0, "campaignOnAir": false, "onAirReason": "CAMPAIGN_FLY_DATES_PAST" }, "blockedSites": {}, "bids": { "bySection": [ { "sectionId": "009e769d5444de4570582abe8ff7689883", "sectionName": "Sports", "publisherId": "00f3022e3638c88cb5e46768e45c471441", "cpcAdjustment": 0.1, "campaignId": "00f4b02153ee75f3c9dc4fc128ab041962", "creationTime": "2013-01-14 07:19:16", "lastModified": "2013-01-14 07:21:16" }, { "sectionId": "000b4b1c9dda9d79fe9ff53e0faefa615d", "sectionName": "Culture", "publisherId": "00d3a87281bbace0171560533ac547f6cc", "cpcAdjustment": 0.1, "campaignId": "00f4b02153ee75f3c9dc4fc128ab041962", "creationTime": "2013-01-14 07:19:16", "lastModified": "2013-01-14 07:21:16" } ] }, "onAirType": "Scheduled", "scheduling": { "cpc": [ { "startDay": "Sunday", "endDay": "Monday", "startHour": 3, "endHour": 1, "cpcAdjustment": 0.1 } ], "onAir": [ { "startDay": "Sunday", "endDay": "Sunday", "startHour": 8, "endHour": 12 } ] }, "objective": "Awareness", "creativeFormat": "Standard"}